javax.el

## Class ELProcessor

- java.lang.Object
- - javax.el.ELProcessor

-     public class ELProcessor
      extends java.lang.Object

  Since:
    EL 3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ELProcessor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `defineBean(java.lang.String name, java.lang.Object bean)`
    `void` | `defineFunction(java.lang.String prefix, java.lang.String function, java.lang.reflect.Method method)` Map a method to a function name.
    `void` | `defineFunction(java.lang.String prefix, java.lang.String function, java.lang.String className, java.lang.String methodName)`
    `java.lang.Object` | `eval(java.lang.String expression)`
    `ELManager` | `getELManager()`
    `java.lang.Object` | `getValue(java.lang.String expression, java.lang.Class<?> expectedType)`
    `void` | `setValue(java.lang.String expression, java.lang.Object value)`
    `void` | `setVariable(java.lang.String variable, java.lang.String expression)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ELProcessor

          public ELProcessor()

  - ### Method Detail

    - #### getELManager

          public ELManager getELManager()

    - #### eval

          public java.lang.Object eval(java.lang.String expression)

    - #### getValue

          public java.lang.Object getValue(java.lang.String expression,
                                  java.lang.Class<?> expectedType)

    - #### setValue

          public void setValue(java.lang.String expression,
                      java.lang.Object value)

    - #### setVariable

          public void setVariable(java.lang.String variable,
                         java.lang.String expression)

    - #### defineFunction

          public void defineFunction(java.lang.String prefix,
                            java.lang.String function,
                            java.lang.String className,
                            java.lang.String methodName)
                              throws java.lang.ClassNotFoundException,
                                     java.lang.NoSuchMethodException

      Throws:
        `java.lang.ClassNotFoundException`
        `java.lang.NoSuchMethodException`

    - #### defineFunction

          public void defineFunction(java.lang.String prefix,
                            java.lang.String function,
                            java.lang.reflect.Method method)
                              throws java.lang.NoSuchMethodException

      Map a method to a function name.
      Parameters:
        `prefix` - Function prefix
        `function` - Function name
        `method` - Method
      Throws:
        `java.lang.NullPointerException` - If any of the arguments are null
        `java.lang.NoSuchMethodException` - If the method is not static

    - #### defineBean

          public void defineBean(java.lang.String name,
                        java.lang.Object bean)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.